> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blindsight.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Audit Param Analytics



## OpenAPI

````yaml /api-reference/openapi.json get /api/audit-trail/param-analytics
openapi: 3.1.0
info:
  title: Blindsight API
  version: 0.1.0
servers: []
security: []
paths:
  /api/audit-trail/param-analytics:
    get:
      tags:
        - audit-trail
      summary: Audit Param Analytics
      operationId: audit_param_analytics_api_audit_trail_param_analytics_get
      parameters:
        - name: search
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Search
        - name: event_types
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated event types
            title: Event Types
          description: Comma-separated event types
        - name: categories
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated categories
            title: Categories
          description: Comma-separated categories
        - name: actors
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated actors
            title: Actors
          description: Comma-separated actors
        - name: entity_type
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Entity Type
        - name: entity_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Entity Id
        - name: severities
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Comma-separated severities
            title: Severities
          description: Comma-separated severities
        - name: date_from
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Date From
        - name: date_to
          in: query
          required: false
          schema:
            anyOf:
              - type: string
                format: date-time
              - type: 'null'
            title: Date To
        - name: application_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Application Id
        - name: param_filters
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: JSON array of {key, operator, value}
            title: Param Filters
          description: JSON array of {key, operator, value}
        - name: X-API-Key
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: X-Api-Key
        - name: blindsight_session
          in: cookie
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Blindsight Session
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AuditParamAnalyticsResponse'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBearer: []
components:
  schemas:
    AuditParamAnalyticsResponse:
      properties:
        totals:
          $ref: '#/components/schemas/AuditParamAnalyticsTotals'
        by_application:
          items:
            $ref: '#/components/schemas/AuditApplicationUsageSummary'
          type: array
          title: By Application
        by_param:
          items:
            $ref: '#/components/schemas/AuditParamUsageSummary'
          type: array
          title: By Param
        usage_by_day:
          items:
            $ref: '#/components/schemas/AuditParamTimelinePoint'
          type: array
          title: Usage By Day
      type: object
      required:
        - totals
      title: AuditParamAnalyticsResponse
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    AuditParamAnalyticsTotals:
      properties:
        total_records:
          type: integer
          title: Total Records
          default: 0
        records_with_custom_params:
          type: integer
          title: Records With Custom Params
          default: 0
        applications_count:
          type: integer
          title: Applications Count
          default: 0
        params_count:
          type: integer
          title: Params Count
          default: 0
      type: object
      title: AuditParamAnalyticsTotals
    AuditApplicationUsageSummary:
      properties:
        application_id:
          type: string
          title: Application Id
        key:
          type: string
          title: Key
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        accent_color:
          anyOf:
            - type: string
            - type: 'null'
          title: Accent Color
        param_count:
          type: integer
          title: Param Count
          default: 0
        usage_count:
          type: integer
          title: Usage Count
          default: 0
      type: object
      required:
        - application_id
        - key
        - name
      title: AuditApplicationUsageSummary
    AuditParamUsageSummary:
      properties:
        schema_id:
          type: string
          title: Schema Id
        key:
          type: string
          title: Key
        label:
          type: string
          title: Label
        data_type:
          type: string
          enum:
            - string
            - number
            - boolean
            - date
            - enum
          title: Data Type
        application_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Application Id
        application_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Application Name
        usage_count:
          type: integer
          title: Usage Count
          default: 0
        distinct_values:
          type: integer
          title: Distinct Values
          default: 0
        top_values:
          items:
            $ref: '#/components/schemas/AuditParamAnalyticsTopValue'
          type: array
          title: Top Values
      type: object
      required:
        - schema_id
        - key
        - label
        - data_type
      title: AuditParamUsageSummary
    AuditParamTimelinePoint:
      properties:
        date:
          type: string
          title: Date
        total_records:
          type: integer
          title: Total Records
          default: 0
        custom_param_records:
          type: integer
          title: Custom Param Records
          default: 0
        distinct_params:
          type: integer
          title: Distinct Params
          default: 0
      type: object
      required:
        - date
      title: AuditParamTimelinePoint
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    AuditParamAnalyticsTopValue:
      properties:
        value:
          type: string
          title: Value
        count:
          type: integer
          title: Count
      type: object
      required:
        - value
        - count
      title: AuditParamAnalyticsTopValue
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````